LibreOffice: XDropTargetListener Interface Reference

LibreOffice LibreOffice 7.0 SDK API Reference

Public Member Functions | List of all members
XDropTargetListener Interface Referencepublished

This interface is the callback interface used by the drop target object to provide notification of Drag and Drop operations that involve the subject drop target. More...

`import"XDropTargetListener.idl";`

Inheritance diagram for XDropTargetListener:

## Public Member Functions
void | drop ([in] DropTargetDropEvent dtde)
| The drag operation has terminated with a drop on this drop target. More...
void | dragEnter ([in] DropTargetDragEnterEvent dtdee)
| Called when a drag operation has encountered the drop target. More...
void | dragExit ([in] DropTargetEvent dte)
| The drag operation has departed the drop target without dropping. More...
void | dragOver ([in] DropTargetDragEvent dtde)
| Called when a drag operation is ongoing on the drop target. More...
void | dropActionChanged ([in] DropTargetDragEvent dtde)
| Called when the user has modified the drop gesture. More...
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

This interface is the callback interface used by the drop target object to provide notification of Drag and Drop operations that involve the subject drop target.

Methods of this interface may be implemented to provide "drag under" visual feedback to the user throughout the Drag and Drop operation.

## Member Function Documentation

## ◆ dragEnter()

void dragEnter | ( | [in] DropTargetDragEnterEvent | dtdee | ) |

Called when a drag operation has encountered the drop target.

Parameters

  dtdee | The DropTargetDragEvent.

## ◆ dragExit()

void dragExit | ( | [in] DropTargetEvent | dte | ) |

The drag operation has departed the drop target without dropping.

Parameters

  dte | The DropTargetEvent.

## ◆ dragOver()

void dragOver | ( | [in] DropTargetDragEvent | dtde | ) |

Called when a drag operation is ongoing on the drop target.

Parameters

  dtde | The DropTargetEvent.

## ◆ drop()

void drop | ( | [in] DropTargetDropEvent | dtde | ) |

The drag operation has terminated with a drop on this drop target.

NOTE: The implementation has to wait until the method XDropTargetDropContext::dropComplete() is called before releasing the data for the drop operation. This should occur before returning from drop in a normal flow of operation. Also, the implementor of XDropTargetListener should not assume the DropTargetDropEvent to be meaningful after returning from the XDropTargetListener::drop() method.

Parameters

  dtde | The DropTargetDropEvent.

## ◆ dropActionChanged()

void dropActionChanged | ( | [in] DropTargetDragEvent | dtde | ) |

Called when the user has modified the drop gesture.

Parameters

  dtde | The DropTargetEvent.

The documentation for this interface was generated from the following file:

- com/sun/star/datatransfer/dnd/XDropTargetListener.idl